Subject: Re: GIT get corrupted on lustre

From: "Brian J. Murrell" <[email-masked]>
Date: Mon, 21 Jan 2013 13:54:23 -0500

On 13-01-21 11:11 AM, Thomas Rast wrote:
> 
> What's odd is that while I cannot reproduce the original problem, there
> seems to be another issue/bug with utime():

I wonder if this is related to http://jira.whamcloud.com/browse/LU-305.
 That was reported as fixed in Lustre 2.0.0 and 2.1.0 but I thought I
saw it on 2.1.1 and added a comment to the above ticket about that.

> In the absence of it, wouldn't we in theory have to write a simple
> loop-on-EINTR wrapper for *all* syscalls?

IIUC, that's what SA_RESTART is all about.

> Of course there's the added problem that when open(O_CREAT|O_EXCL) fails
> with EINTR, it's hard to tell whether a file that may now exist is
> indeed yours or some other process's.

Or whether it's in a "half created" state such as I hypothesize in
http://jira.whamcloud.com/browse/LU-2276.

b.